package com.gyee.wisdom.dao.system;

import com.gyee.wisdom.common.data.system.model.Role;
import java.util.List;


public interface IRoleDao {

    void add(Role role);

    void update(Role role);

    void updateMenus(String rid, List<String> mids);

    void updateResources(String rid, List<String> resources) ;

    boolean contains(String roleName);

    Role get(String id);

    List<Role> list();

    void remove(String id) ;

    void removeRoleMenuByMenuId(String menuId);

    void removeRoleResourceByResourceId(String resourceId) ;

    void switchStatus(String id, boolean disabled) ;

    List<Role> getRoles(String userId) ;

	 String getRoleid(String uid) ;
}
